Bug 239319 - net-mgmt/aircrack-ng: fix build on powerpc*
Summary: net-mgmt/aircrack-ng: fix build on powerpc*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 20:53 UTC by Piotr Kubaj
Modified: 2019-07-30 12:21 UTC (History)
1 user (show)

See Also:
linimon: maintainer-feedback+


Attachments
patch (1.85 KB, patch)
2019-07-19 20:53 UTC, Piotr Kubaj
no flags Details | Diff
v2 (3.34 KB, patch)
2019-07-20 09:18 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (lme)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-19 20:53:45 UTC
Created attachment 205906 [details]
patch

FreeBSD doesn't have bits/hwcap.h header and elf_aux_info needs to be used instead of getauxval.
Comment 1 Piotr Kubaj freebsd_committer 2019-07-20 09:18:59 UTC
Created attachment 205921 [details]
v2

Also fix packaging.
Comment 2 Lars Engels freebsd_committer 2019-07-23 06:59:25 UTC
Thank you!
Feel free to commit the patch.
Comment 3 commit-hook freebsd_committer 2019-07-30 12:21:41 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Jul 30 12:21:15 UTC 2019
New revision: 507637
URL: https://svnweb.freebsd.org/changeset/ports/507637

Log:
  net-mgmt/aircrack-ng: fix build on powerpc*

  FreeBSD doesn't have bits/hwcap.h header and elf_aux_info needs to be used instead of getauxval.

  On powerpc platforms there are libraries for Altivec installed and no libraries for AVX and SSE are installed.

  PR:		239319
  Approved by:	lme (maintainer), linimon (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21040

Changes:
  head/net-mgmt/aircrack-ng/Makefile
  head/net-mgmt/aircrack-ng/files/patch-src_aircrack-util_trampoline__ppc.c
  head/net-mgmt/aircrack-ng/pkg-plist